﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="sqlbinding._Default" %>



<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
             <ej:Grid ID="FlatGrid" runat='server' AllowPaging="true">
                 <EditSettings AllowAdding="True" AllowDeleting="True" AllowEditing="True"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        <Columns>
            <ej:Column Field="OrderID" HeaderText="Order ID" Type="number" IsPrimaryKey="True" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Type="string" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Center" Visible="true" AllowEditing="true"
           Template="<span class='label' style='min-width:70px;font-size:12px;cursor:pointer;color:white;'></span>"
           EditType="Dropdown" ForeignKeyField="EmployeeID" ForeignKeyValue="FirstName" />
            <ej:Column Field="Freight" HeaderText="Freight" Type="number" EditType="Numeric" Format="{0:C}" />
            <ej:Column Field="ShipCity" HeaderText="Ship City" Type="string" />
        </Columns>
        <ClientSideEvents TemplateRefresh="refresh"/>
       </ej:Grid>
    <script>
        function refresh(args) {
            var data = ej.DataManager(this.model.columns[2].dataSource).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(args.rowData.EmployeeID), true));
                 $(args.cell).find("span").css("background-color", data[0].Color);
                 $(args.cell).find("span").text(data[0].FirstName);
        }
    </script>
  
</asp:Content>



