﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using System.Web.Script.Serialization;
using System.Web.Services;
using System.Web.Script.Services;
using Syncfusion.JavaScript;
using Syncfusion.Linq;
using Syncfusion.JavaScript.DataSources;
using System.Reflection.Emit;
using System.Reflection;
using System.Threading;

namespace sqlbinding
{
    public partial class _Default : Page
    {

        List<Employee> employee = new List<Employee>();  
        public static List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            
            if (order.Count == 0)
                BindDataSource();
            this.FlatGrid.DataSource = order;
            employee.Add(new Employee(1, "Michael","red"));
            employee.Add(new Employee(2, "Anne","green"));
            employee.Add(new Employee(3, "Janet","blue"));
            employee.Add(new Employee(4, "Andrew", "orange"));
            employee.Add(new Employee(5, "Margaret", "green"));
            employee.Add(new Employee(6, "Nancy", "red"));
            employee.Add(new Employee(7, "Robert", "blue"));
            employee.Add(new Employee(8, "Laura", "green"));
            employee.Add(new Employee(9, "Steven","yellow"));
            employee.Add(new Employee(10, "James", "blue"));
            employee.Add(new Employee(11, "Smith", "red"));
            employee.Add(new Employee(12, "Jhonson","orange"));
            employee.Add(new Employee(13, "George","yellow"));

            var index = this.FlatGrid.Columns.FindIndex(col => col.Field == "EmployeeID");
            this.FlatGrid.Columns.ElementAt(index).DataSource = employee;
        }
        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
        [Serializable]
        public class Employee
        {
            public Employee()
            {

            }
            public Employee(int EmployeeId, string FirstName, string Color)
            {
                this.EmployeeID = EmployeeId;
                this.FirstName = FirstName;
                this.Color = Color;
            }
            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
            public string Color { get; set; }
        }
    }
}